- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

ASN1_INTEGER_new, ASN1_INTEGER_free - ASN1_INTEGER allocation functions

# SYNOPSIS

     #include <openssl/asn1.h>

     ASN1_INTEGER *ASN1_INTEGER_new(void);
     void ASN1_INTEGER_free(ASN1_INTEGER *a);

# DESCRIPTION

ASN1_INTEGER_new() returns an allocated ASN1_INTEGER structure.

ASN1_INTEGER_free() frees up a single ASN1_INTEGER object.

ASN1_INTEGER structure representing the ASN.1 INTEGER type

# RETURN VALUES

ASN1_INTEGER_new() return a valid ASN1_INTEGER structure or NULL if an error occurred.

ASN1_INTEGER_free() does not return a value.

# SEE ALSO

ERR_get_error(3)

# COPYRIGHT

Copyright 2020 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.